package com.ruoyi.invest.mapper;

import com.ruoyi.invest.domain.TProjectMeeting;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 会议记录Mapper接口
 * 
 * @author ruoyi
 * @date 2024-02-22
 */
public interface TProjectMeetingMapper 
{
    /**
     * 查询会议记录
     * 
     * @param id 会议记录主键
     * @return 会议记录
     */
    public TProjectMeeting selectTProjectMeetingById(String id);

    /**
     * 查询会议记录列表
     * 
     * @param tProjectMeeting 会议记录
     * @return 会议记录集合
     */
    public List<TProjectMeeting> selectTProjectMeetingList(TProjectMeeting tProjectMeeting);

    /**
     * 新增会议记录
     * 
     * @param tProjectMeeting 会议记录
     * @return 结果
     */
    public int insertTProjectMeeting(TProjectMeeting tProjectMeeting);

    /**
     * 修改会议记录
     * 
     * @param tProjectMeeting 会议记录
     * @return 结果
     */
    public int updateTProjectMeeting(TProjectMeeting tProjectMeeting);

    /**
     * 删除会议记录
     * 
     * @param id 会议记录主键
     * @return 结果
     */
    public int deleteTProjectMeetingById(String id);

    /**
     * 批量删除会议记录
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTProjectMeetingByIds(String[] ids);

    /**
     * 批量删除会议记录
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int updateTProjectMeetingByIds(String[] ids);

    /**
     * 根据项目ID获取会议记录
     * @param projectPoolId
     * @return
     */
    List<TProjectMeeting> listProjectPoolId(String projectPoolId);

    /**
     * 根据项目ID获取最新会议记录
     * @param projectPoolId
     * @param meetingType
     * @return
     */
    TProjectMeeting listProjectPoolIdNew(@Param("projectPoolId")String projectPoolId,@Param("meetingType") String meetingType);

    /**
     *  根据年查询会议编号
     * @param year
     * @return
     */
    Integer selectTProjectMeetingCode(String year);

    TProjectMeeting selectTProjectMeetingByProjectPoolId(@Param("projectPoolId")String projectPoolId);

}
